@import url("https://fonts.googleapis.com/css?family=Poppins&display=swap");

:root {
  --display-bg-color: #3a3a3a50;
  --display-output-color: rgba(245, 245, 245, 0.7);
  --btn-bg-color: rgba(240, 225, 215, 0.5);
  --btn-border-color: rgba(240, 225, 215, 0.1);
  --btn-txt-color: #444444;
  --btn-bg-hover: rgba(240, 225, 215, 0.8);
}

* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
  font-family: "Poppins", sans-serif;
}

body {
  height: 100vh;
  background-image: linear-gradient(
    to top right,
    rgb(253, 136, 57),
    rgb(240, 184, 203)
  );
}

.container {
  height: 100vh;
  display: flex;
  justify-content: center;
  align-items: center;
}

.calculator {
  max-width: 240px;
  background: transparent;
}

.calculator-buttons {
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  grid-gap: 5px;
  border: 0;
}

.calc-numbers {
  background-color: var(--display-bg-color);
  color: var(--display-output-color);
  font-size: 2rem;
  border: 0;
  border-radius: 5px;
  padding: 0.5rem;
  text-align: right;
  width: 100%;
  height: 100px;
  margin-bottom: 0.4rem;
}

.span-2 {
  grid-column: span 2;
}

.span-3 {
  grid-column: span 3;
}

.btn {
  background-color: var(--btn-bg-color);
  color: var(--btn-txt-color);
  font-size: 1rem;
  border: 0;
  border-radius: 5px;
  cursor: pointer;
  outline: none;
  padding: 0.5rem;
}

.btn:hover {
  background-color: rgba(240, 225, 215, 0.2);
}

.orange {
  background-color: rgba(240, 225, 215, 0.2);
  color: #444444e3;
  font-weight: bold;
}

.orange:hover {
  background-color: rgba(240, 225, 215, 0.5);
}
